summaryrefslogtreecommitdiffstats
path: root/deploy/trustme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy/trustme.sh')
-rwxr-xr-xdeploy/trustme.sh17
1 files changed, 13 insertions, 4 deletions
diff --git a/deploy/trustme.sh b/deploy/trustme.sh
index eedda5ce..33b76546 100755
--- a/deploy/trustme.sh
+++ b/deploy/trustme.sh
@@ -10,6 +10,11 @@ function print_log
echo -e "`date -d today +"%Y-%m-%d %H:%M:%S"` $promt" >> $logfile
}
ip=$1
+if [ -z $ip ]; then
+ print_log "Usage: `basename $0` ipaddr passwd"
+ exit 1
+fi
+
passwd=$2
if [ -z $passwd ]; then
print_log "Usage: `basename $0` ipaddr passwd"
@@ -47,11 +52,15 @@ host=`hostname`
keyend="$user@$host"
print_log "my keyend = $keyend"
cmd="sed '/$keyend$/d' -i ~/.ssh/authorized_keys"
+local_host="127.0.0.1"
print_log "clear my old pub key on $local_host ..."
-ssh-keygen -f "/root/.ssh/known_hosts" -R $ip
-if [ $? != 0 ]; then
- print_log "delete pub key of $ip from known_hosts failed"
- exit 1
+sshpass -p $passwd ssh -o StrictHostKeyChecking=no $local_host "test -f ~/.ssh/known_hosts"
+if [ $? = 0 ]; then
+ sshpass -p $passwd ssh -o StrictHostKeyChecking=no $local_host "sed -i '/${ip} /d' ~/.ssh/known_hosts"
+ if [ $? != 0 ]; then
+ print_log "delete pub key of $ip from $local_host known_hosts failed"
+ exit 1
+ fi
fi
sshpass -p $passwd ssh -o StrictHostKeyChecking=no $ip "mkdir -p ~/.ssh && touch ~/.ssh/authorized_keys"
if [ $? != 0 ]; then